<?php
if(count(get_included_files())==1) exit("Direct access not permitted.");
$mod = basename(__FILE__, '.php');
$page->tbCss($mod);
$query="select * from tb_agenda where status=1 and keterangan!='' order by tanggal desc limit 0,4";
$rsagenda=$db->loadAll($query);
$jumlahagenda=sizeof($rsagenda);
$dataagenda=array();
for($i=0;$i<$jumlahagenda;$i++){
	$arrtgl=explode(" ", $rsagenda[$i]['tanggal']);
	$jam="";
	if(sizeof($arrtgl)==2){
		$jam=substr($arrtgl[1], 0,5);
	}
	$haltgl=explode(" ", $db->halfdate($rsagenda[$i]['tanggal']));
	$dd="";
	$mm="";
	$yy="";
	if(sizeof($haltgl)==3){
		$dd=$haltgl[0];
		$mm=$haltgl[1];
		$yy=$haltgl[2];
	}
	ob_start();
	?>
	<div class="box_baris_agenda">
		<div class="box_agenda_tanggal">
			<div class="agenda_tanggal"><?php echo $haltgl[0];?></div>
			<div class="agenda_tahun_bulan">
				<div class="agenda_bulan"><?php echo $haltgl[1];?></div>
				<div class="agenda_tahun"><?php echo $haltgl[2];?></div>
				<div style="clear: both;"></div>
			</div>
			<div style="clear: both;"></div>
		</div>
		<div class="box_agenda_isi" align="left">
			<a href="<?php echo NPAGE.'agenda?id='.$rsagenda[$i]['id'];?>">
			<div class="box_agenda_judul">
				<?php 
					$strjudul=mb_strimwidth((strip_tags($rsagenda[$i]['judul'])), 0, 40, '');
					$strjudul = substr($strjudul,0,strrpos($strjudul," ")); 
					echo $strjudul." ...";;
				?>
			</div>
			</a>
			<div class="box_agenda_deskripsi">
			<?php
				$string=mb_strimwidth((strip_tags($rsagenda[$i]['keterangan'])), 0, 100, '');
				$string = substr($string,0,strrpos($string," ")); 
				echo $string." ...";
			?>
			</div>
		</div>
		<div style="clear: both;"></div>
	</div>
	<?php
	$obj=ob_get_clean();
	array_push($dataagenda,$obj);
}
?>
<div class="box_agenda_utama">
	<div class="head_judul_agenda" align="left">AGENDA BDK</div>
	<div class="box_data_agenda">
		<?php
		if(sizeof($dataagenda)>0){
			for($i=0;$i<sizeof($dataagenda);$i++){
				echo $dataagenda[$i];
			}
		}
		?>
	</div>
	<div style="clear: both;"></div>
	<br />
	<!--
		<a href="<?php echo NPAGE.'agenda'?>">
			<div class="tombol_agenda_lain">Agenda Lainnya</div>
		</a>
	-->
</div>